*ortsuch
use b:adressen index adressen
go top
erase
@ 5,5
Accept "Wohnort" to mort
locate for mort$ort
Store "j" to nochmals
do while (nochmals) <> "n"
  if eof
    ? "Gew}nschter Wohnort wurde nicht gefunden."
    ? "Soll unter dem Dienstort gesucht werden?"
    wait to suche
    do case
      case suche ="j"
        do dienstsu
        return
      case suche ="n"
        return
      endcase
    enddo
  endif
  ? trim(vorname1) +" "+ name1
  ? trim(vorname2) +" "+ name2
  ? trim(prstrasse) +" "+ nr
  ? trim(plz) +" "+ Ort
  ? prtelefon
  ? co
  ? trim(dlstrasse) +" "+ dlnr
  ? trim(dlplz) +" "+ dlort
  ? dltelefon1 + dltelefon2
  ?
  ? "Soll die Adresse ausgedruckt werden?"
  ? "Wenn ja,bitte vorher Drucker einschalten"
  Wait to antwort
  if antwort = "j"
    do addruck
  endif
  ? "Sollen weitere Anschriften unter diesem Wohnort aufgezeigt werden?"
  Wait to nochmals
  if nochmals ="n"
    return
  endif
  erase
  continue  
enddo
return
